<header>
    <nav class="navbar navbar-expand-lg">
        <div class="container">
            <a class="navbar-brand text-white" href="/admin"><i class="fa fa-graduation-cap fa-lg mr-2"></i>DEKHOR</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#nvbCollapse"
                aria-controls="nvbCollapse">
                <span class="navbar-toggler-icon"></span>
            </button>
            <p-menubar [model]="items">
                <ng-template pTemplate="start">
                    <img src="https://cdn-icons-png.flaticon.com/512/230/230533.png" height="40" class="mr-2">
                </ng-template>

            </p-menubar>
        </div>
    </nav>
</header>


<p-dialog header="แก้ไขค่าน้ำค่าไฟ" [(visible)]="displayshowDetailElecNWater" [position]="position" [modal]="true"
    [style]="{width: '25vw'}" [draggable]="false" [resizable]="false">

    <div class="container">
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="electricitybill">
            <label for="float-input">ค่าไฟของหอ</label>
        </span>
        <br>
        <br>
        <span class="p-float-label" style="align-content:right;">
            <input id="float-input" type="text" pInputText [(ngModel)]="WaterPrice">
            <label for="float-input">ค่าน้ำของหอ</label>

        </span>
        <br>
        <br>
    </div>
    <ng-template pTemplate="footer">
        <p>ปรับปรุงล่าสุด {{TimeEdit| date: 'dd/MMM/yy h:mm:ss a'}}</p>
        <p-button icon="pi pi-check" (click)="OnsaveBill()" label="Ok" styleClass="p-button-text"></p-button>

    </ng-template>
</p-dialog>

<p-dialog header="แก้ไขสิ่งอำนวยภายในอาคาร" [(visible)]="displayshowfacilityIndoor" [position]="position" [modal]="true"
    [style]="{width: '30vw'}" [draggable]="false" [resizable]="false">

    <span class="p-float-label">
        <textarea [(ngModel)]="FacilityIndoor" rows="12" cols="50" pInputTextarea> </textarea>
        <label style="font-size: 21.5px " for="float-input">- สิ่งอำนวยในอาคาร - </label>

    </span>
    <ng-template pTemplate="footer">
        <p>ปรับปรุงล่าสุด {{TimeEdit| date: 'dd/MMM/yy h:mm:ss a'}}</p>
        <p-button icon="pi pi-check" (onClick)="writefacilityIndoor()" label="บันทึก" styleClass="p-button-text">
        </p-button>
    </ng-template>
</p-dialog>

<p-dialog header="แก้ไขโปรโมชัน" [(visible)]="displayshowPromotion" [position]="position" [modal]="true"
    [style]="{width: '30vw'}" [draggable]="false" [resizable]="false">

    <span class="p-float-label">
        <textarea [(ngModel)]="Promotion" rows="12" cols="50" pInputTextarea></textarea>
        <label style="font-size: 21.5px " for="float-input">Promotion </label>
    </span>
    <ng-template pTemplate="footer">
        <p>ปรับปรุงล่าสุด {{TimeEdit| date: 'dd/MMM/yy h:mm:ss a'}}</p>
        <p-button icon="pi pi-check" (onClick)="writePromotion()" label="บันทึก" styleClass="p-button-text">
        </p-button>
    </ng-template>
</p-dialog>

<p-dialog header="แก้ไขห้องปกติ" [(visible)]="displayshowRegular" [position]="position" [modal]="true"
    [style]="{width: '30vw'}" [draggable]="false" [resizable]="false">

    <span class="p-float-label">
        <textarea [(ngModel)]="RoomRegular" rows="12" cols="50" pInputTextarea> </textarea>
        <label style="font-size: 21.5px " for="float-input">- ห้องปกติ - </label>
    </span>
    <ng-template pTemplate="footer">
        <p>ปรับปรุงล่าสุด {{TimeEdit| date: 'dd/MMM/yy h:mm:ss a'}}</p>
        <p-button icon="pi pi-check" (onClick)="writeRoomRegular()" label="บันทึก" styleClass="p-button-text">
        </p-button>
    </ng-template>
</p-dialog>

<p-dialog header="แก้ไขห้องสวีท" [(visible)]="displayshowRoomsuite" [position]="position" [modal]="true"
    [style]="{width: '30vw'}" [draggable]="false" [resizable]="false">

    <span class="p-float-label">
        <textarea [(ngModel)]="RoomSuite" rows="12" cols="50" pInputTextarea></textarea>
        <label style="font-size: 21.5px " for="float-input">♥ ห้องสวีท ♥ </label>
    </span>
    <ng-template pTemplate="footer">
        <p>ปรับปรุงล่าสุด {{TimeEdit| date: 'dd/MMM/yy h:mm:ss a'}}</p>
        <p-button icon="pi pi-check" (onClick)="writeRoomsuite()" label="บันทึก" styleClass="p-button-text">
        </p-button>
    </ng-template>
</p-dialog>

<p-dialog header="แก้ไขราคาห้อง" [(visible)]="displayshowPriceRoom" [position]="position" [modal]="true"
    [style]="{width: '30vw'}" [draggable]="false" [resizable]="false">

    <div class="container">
        <br>
        <br>
        <span class="p-float-label">
            <input id="float-input" type="text" pInputText [(ngModel)]="PriceRoomSuite">
            <label for="float-input">ราคาห้องสวีท</label>
        </span>
        <br>
        <br>
        <span class="p-float-label" style="align-content:right;">
            <input id="float-input" type="text" pInputText [(ngModel)]="PriceRoomRegular">
            <label for="float-input">ราคาห้องปกติ</label>

        </span>
        <br>
        <br>
    </div>
    <ng-template pTemplate="footer">
        <p>ปรับปรุงล่าสุด {{TimeEdit| date: 'dd/MMM/yy h:mm:ss a'}}</p>
        <p-button icon="pi pi-check" (onClick)="writePriceRoom()" label="บันทึก" styleClass="p-button-text">
        </p-button>
    </ng-template>
</p-dialog>



<p-dialog header="แก้ไขรูปแนะนำหอ" [(visible)]="displayshowPicture" [modal]="true" [style]="{width: '55vw'}" [draggable]="false"
    [resizable]="false">

    <body class="ShowImage">
        <div class="Image">
            <p-image src="{{Pictureurl}}" alt="Image"
                width="1000" [preview]="true"></p-image>
        </div>
        <br>
        <app-edit-information></app-edit-information>
        <!-- <p-fileUpload (onUpload)="onBasicUploadAuto($event)" name="myfile[]" url="gs://dekhordemo-23dde.appspot.com/SuperadminPicture" multiple="multiple" accept="image/*" [auto]="true" ></p-fileUpload> -->

    </body>
    <ng-template pTemplate="footer">
        <p-button icon="pi pi-check" (click)="displayshowPicture=false" label=" บันทึก " styleClass="p-button-text">
        </p-button>
    </ng-template>
</p-dialog>






<app-manage-users *ngIf="showManageUsers"></app-manage-users>